Atualizar subconta
curl --request PATCH \
--url https://api.mingopay.com.br/v1/subaccounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"active": true,
"pixKey": "<string>",
"holderTaxId": "<string>"
}
'import requests
url = "https://api.mingopay.com.br/v1/subaccounts/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"active": True,
"pixKey": "<string>",
"holderTaxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
active: true,
pixKey: '<string>',
holderTaxId: '<string>'
})
};
fetch('https://api.mingopay.com.br/v1/subaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mingopay.com.br/v1/subaccounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'active' => true,
'pixKey' => '<string>',
'holderTaxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mingopay.com.br/v1/subaccounts/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mingopay.com.br/v1/subaccounts/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mingopay.com.br/v1/subaccounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"externalReference": "<string>",
"environment": "sandbox",
"active": true,
"linked": true,
"availableCents": 123,
"reservedCents": 123,
"providerAvailableCents": 123,
"providerBlockedCents": 123,
"syncErrorCode": "<string>",
"provider": "<string>",
"providerBalanceCents": 123,
"syncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feeMode": "global",
"customFees": {
"saleFeePercent": 50,
"saleFeeFixedCents": 50000000,
"payoutFeePercent": 50,
"payoutFeeFixedCents": 50000000
},
"blockMode": "none",
"payoutLimits": {
"perPayoutCents": 50000000,
"dailyCents": 50000000,
"monthlyCents": 50000000
},
"effectiveFees": {
"saleFeePercent": 50,
"saleFeeFixedCents": 50000000,
"payoutFeePercent": 50,
"payoutFeeFixedCents": 50000000
},
"pixKeyMasked": "<string>",
"holderTaxIdMasked": "<string>"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}Atualizar subconta
Exige subaccounts:write. Altera cadastro, comissões, dados de saque, bloqueios e limites. active=false impede novas cobranças. blockMode=payouts bloqueia novos saques; all bloqueia também novas cobranças. Cobranças já emitidas podem liquidar. Taxas alteradas só afetam novas operações. Referência e organização são imutáveis.
PATCH
/
v1
/
subaccounts
/
{id}
Atualizar subconta
curl --request PATCH \
--url https://api.mingopay.com.br/v1/subaccounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"active": true,
"pixKey": "<string>",
"holderTaxId": "<string>"
}
'import requests
url = "https://api.mingopay.com.br/v1/subaccounts/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"active": True,
"pixKey": "<string>",
"holderTaxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
active: true,
pixKey: '<string>',
holderTaxId: '<string>'
})
};
fetch('https://api.mingopay.com.br/v1/subaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mingopay.com.br/v1/subaccounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'active' => true,
'pixKey' => '<string>',
'holderTaxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mingopay.com.br/v1/subaccounts/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mingopay.com.br/v1/subaccounts/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mingopay.com.br/v1/subaccounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"active\": true,\n \"pixKey\": \"<string>\",\n \"holderTaxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"externalReference": "<string>",
"environment": "sandbox",
"active": true,
"linked": true,
"availableCents": 123,
"reservedCents": 123,
"providerAvailableCents": 123,
"providerBlockedCents": 123,
"syncErrorCode": "<string>",
"provider": "<string>",
"providerBalanceCents": 123,
"syncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feeMode": "global",
"customFees": {
"saleFeePercent": 50,
"saleFeeFixedCents": 50000000,
"payoutFeePercent": 50,
"payoutFeeFixedCents": 50000000
},
"blockMode": "none",
"payoutLimits": {
"perPayoutCents": 50000000,
"dailyCents": 50000000,
"monthlyCents": 50000000
},
"effectiveFees": {
"saleFeePercent": 50,
"saleFeeFixedCents": 50000000,
"payoutFeePercent": 50,
"payoutFeeFixedCents": 50000000
},
"pixKeyMasked": "<string>",
"holderTaxIdMasked": "<string>"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}Autorizações
Corpo
application/json
Resposta
Operação concluída.
